       program mdeta

       parameter(NLEV=38)
       parameter(NLEV1=10, NLEV2=20, NLEV3=NLEV-NLEV1-NLEV2)

       real*4 deta(NLEV)
       integer ldum(NLEV)

!       detasmp= 1./float(NLEV)
       ldum=5
       do i=1, NLEV1
          deta(i)=0.76/NLEV1
          write(6,'(a10,i3,f8.5)')  'C-i,deta= ',i, deta(i)
       enddo

       do i=NLEV1+1, NLEV1+NLEV2
          deta(i)=0.15/NLEV2
          write(6,'(a10,i3,f8.5)') 'B-i,deta= ', i, deta(i)
       enddo

       do i=NLEV1+NLEV2+1, NLEV
          deta(i)=0.09/NLEV3
          write(6,'(a10,i3,f8.5)') 'A-i,deta= ', i, deta(i)
       enddo

       write(24) deta,ldum

       end
